# Created by pyp2rpm-3.3.2
%global pypi_name tldr

Name:           python-%{pypi_name}
Version:        0.4.4
Release:        %mkrel 9
Summary:        Command line client for tldr
Group:          Development/Python
License:        MIT
URL:            https://github.com/tldr-pages/tldr-python-client
Source0:        https://files.pythonhosted.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(colorama)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(termcolor)

%description
A Python command line client for tldr.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(colorama)
Requires:       python3dist(six)
Requires:       python3dist(termcolor)
%description -n python3-%{pypi_name}
A Python command line client for tldr.

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/tldr
%{_bindir}/tldr.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Dec 19 2023 papoteur <papoteur> 0.4.4-9.mga10
+ Revision: 2019498
- Mass Rebuild - Python 3.12

* Sun Mar 27 2022 umeabot <umeabot> 0.4.4-8.mga9
+ Revision: 1828876
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 mrambo3501 <mrambo3501> 0.4.4-7.mga9
+ Revision: 1781560
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.4.4-6.mga9
+ Revision: 1732391
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.4.4-5.mga8
+ Revision: 1532687
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 0.4.4-4.mga8
+ Revision: 1442604
- rebuild for python-3.8

* Mon Jan 07 2019 shlomif <shlomif> 0.4.4-3.mga7
+ Revision: 1350273
- Rebuild for python3 3.7

* Sat Dec 29 2018 tv <tv> 0.4.4-2.mga7
+ Revision: 1346371
- fix description

* Mon Dec 24 2018 shlomif <shlomif> 0.4.4-1.mga7
+ Revision: 1344834
- rpmlint fixes.
- build fixes
- pyp2rpm

